// CSS uses Bulma, cfr. https://bulma.io/documentation/customize/variables/

@charset "utf-8";

$text: #000;
$primary: #a21f16;

@import "../opt/bulma/bulma.sass";

/*
  General
*/

/* Search bar */

form.search-bar {
  width: 80%;
  max-width: 768px;
  margin: 2rem auto;
}

form.search-bar div.field.has-addons {
  @include touch {
    display: initial;
  }
}

form.search-bar p.control:not(:first-of-type) {
  @include touch {
    margin: 2rem auto;
  }
}

form.search-bar div.field.has-addons * {
  @include touch {
    width: 100%;
  }
}

/* Notifications */

div.box.notification {
  padding: .5rem;
}

/* Quick links */

div.quick-links {
  display: flex;
  clear: both;
  margin: 4rem auto;
  text-align: center;
  justify-content: center;
  @include mobile {
    display: initial;
  }
}

div.quick-links div {
  float: left;
  margin: 0 2rem;
  @include mobile {
    float: none;
    margin: 1rem 2rem;
  }
}

div.quick-links span {
  display: block;
}

/* Footer */

footer.footer {
  width: 100%;
  padding: 1rem;
  @include desktop {
    position: fixed;
    bottom: 0;
  }
}

footer.footer p {
  @include tablet {
    display: inline;
    margin-right: 2rem;
  }
}

/*
  Specific
*/

/* Home */

div#logo {
  width: 80%;
  max-width: 500px;
  margin: 5rem auto 0 auto;
  @include mobile {
    margin: 2rem auto 0 auto;
  }
}

div#logo img {
  display: block;
  margin: auto;
}
